{% extends 'core/base.html' %}
{% load static %}

{% block content %}
    {% for curso in cursos %}
        <section>
            <h1>Cursos</h1>

            <article>
                <h2>{{ curso.nombre }}</h2>
                <a href="{{ curso.get_absolute_url }}">
                    <img src="{{ curso.portada.url }}" alt="{{ curso.nombre }}" width="260" height="170">
                </a>
                <p><strong>Precio: </strong> S/ {{ curso.precio }}</p>
                <p><strong>Duración: </strong> {{ curso.duracion }} minutos</p>

                <button class='btnAdd' data-id='{{ curso.id }}'>Agregar al carrito</button>
            </article>
        </section>
    {% endfor %}
{% endblock content %}

{% block js %}
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="{% static 'js/utils.js' %}"></script>

    <script>
        $('.btnAdd').click(function () {
            var id_curso = $(this).attr('data-id');

            $.ajax({
                url: "/cart/add/",
                type: "POST",
                data: {
                    id_curso: id_curso
                },
                success: function (result) {
                    window.location.href = '/cart/';
                }
            });
        })
    </script>
{% endblock js %}
